<div class="chi-tiet-ho-so-grid">
    <div class="bg-white rounded-xl px-4 py-3">
        <div class="d-flex justify-content-between align-items-center">
            <!-- <button mat-button><mat-icon>arrow_back_ios</mat-icon>Quay lại</button> -->
            <strong>Thông tin chung</strong>
            <button mat-stroked-button color="primary" class="rounded-pill ml-auto mr-3"><mat-icon>print</mat-icon> In phiếu yêu cầu</button>
            <button mat-stroked-button color="warn" class="rounded-pill mr-3"><mat-icon>add</mat-icon> Tạo hồ sơ mới</button>
            <button mat-icon-button [matTooltip]="tooltip"  (click)="changeText()" class="btn-expand" data-toggle="collapse" data-target="#thongtin-0" aria-expanded="true" aria-controls="thongtin-0"><mat-icon>expand_less</mat-icon></button>
        </div>
        <div class="collapse show mx-n4 pt-3" id="thongtin-0">
            <mat-tab-group>
                <mat-tab>
                    <ng-template mat-tab-label>
                        <mat-chip-list class="ml-2">
                            <mat-chip color="primary" selected>Tạo mới</mat-chip>
                        </mat-chip-list>
                    </ng-template>
                    <div class="px-4 pt-3">
                        <div class="row">
                            <div class="col-3">
                                <mat-form-field appearance="fill" class="w-100">
                                    <mat-label>Số hợp đồng</mat-label>
                                    <input matInput class="text-dark">
                                </mat-form-field>
                            </div>
                            <div class="col-3">
                                <mat-form-field appearance="fill" class="w-100">
                                    <mat-label>Thời gian gửi Email/SMS</mat-label>
                                    <input matInput class="text-dark">
                                </mat-form-field>
                            </div>
                            <div class="col-6 text-right text-warn small ml-auto" style="opacity: .65;" >
                                <div class="d-inline-block text-left" [innerHTML]="ghiChu"></div>
                            </div>
                        </div>
                    </div>
                </mat-tab>
                <mat-tab disabled>
                    <ng-template mat-tab-label>
                        <mat-chip-list class="ml-2">
                            <mat-chip>Đã tải lên HĐ</mat-chip>
                        </mat-chip-list>
                    </ng-template>
                </mat-tab>
                <mat-tab disabled>
                    <ng-template mat-tab-label>
                        <mat-chip-list class="ml-2">
                            <mat-chip>Techsol phê duyệt</mat-chip>
                        </mat-chip-list>
                    </ng-template>
                </mat-tab>
                <mat-tab disabled>
                    <ng-template mat-tab-label>
                        <mat-chip-list class="ml-2">
                            <mat-chip>Chuyển đến CTY BH</mat-chip>
                        </mat-chip-list>
                    </ng-template>
                </mat-tab>
                <mat-tab disabled>
                    <ng-template mat-tab-label>
                        <mat-chip-list class="ml-2">
                            <mat-chip>Hoàn thành</mat-chip>
                        </mat-chip-list>
                    </ng-template>
                </mat-tab>
            </mat-tab-group>
        </div>
    </div>
    
    <div class="thong-tin-giao-dich-container">
        <div class="bg-white rounded-xl">
            <div class="px-4 py-3">
                <strong>Thông tin giao dịch</strong>
            </div>
            <div class="px-4 pb-4 pt-3">
                <mat-form-field appearance="fill" class="w-100" disabled>
                    <mat-label>Mã giao dịch</mat-label>
                    <input matInput value="###" class="text-dark" disabled>
                </mat-form-field>
                <mat-form-field appearance="fill" class="w-100" disabled>
                    <mat-label>Số tiền giao dịch</mat-label>
                    <input matInput value="100,000,000" class="text-warn font-weight-bold" disabled>
                    <span class="text-secondary" matSuffix>VND</span>
                </mat-form-field>
                <mat-form-field appearance="fill" class="w-100 mb-n4" disabled>
                    <mat-label>Ngày thực hiện giao dịch</mat-label>
                    <input matInput value="{{today | date: 'd/M/y'}}" type="date" class="text-dark" disabled>
                </mat-form-field>
            </div>
        </div>
        <div class="bg-white rounded-xl">
            <div class="p-4">
                <strong>Người phụ trách</strong>
                <div class="border-bottom pt-4">
                    <mat-form-field appearance="fill" class="w-100" disabled>
                        <mat-label>Người tạo</mat-label>
                        <input matInput value="_" class="text-dark" disabled>
                    </mat-form-field>
                    <mat-form-field appearance="fill" class="w-100" disabled>
                        <mat-label>Ngày tạo</mat-label>
                        <input matInput value="{{today | date: 'd/M/y　-　h:m:s a'}}" type="date" class="text-dark" disabled>
                    </mat-form-field>
                </div>
                
                <div class="border-bottom pt-4">
                    <mat-form-field appearance="fill" class="w-100" disabled>
                        <mat-label>Người chỉnh sửa</mat-label>
                        <input matInput value="_" class="text-dark" disabled>
                    </mat-form-field>
                    <mat-form-field appearance="fill" class="w-100" disabled>
                        <mat-label>Ngày chỉnh sửa</mat-label>
                        <input matInput value="_" type="date" class="text-dark" disabled>
                    </mat-form-field>
                </div>
                
                <div class="text-center">
                    <button mat-raised-button color="primary" class="mt-3"><mat-icon class="mr-2">file_upload</mat-icon>Tải Lên HĐ</button>
                    <div class="small text-black-50 mt-2">chưa có file</div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="ho-so-container rounded-xl rounded-bottom-0">
        <div class="ho-so-body">
            <div class="ho-so-toolbar bg-white px-4 py-3">
                <strong>Thông tin chi tiết {{bhTxt}}</strong>
                <div>
                    <button mat-stroked-button class="mr-3">Hủy bỏ</button>
                    <button mat-raised-button color="warn" class="px-5">Lưu lại</button>
                </div>
            </div>
            
            <form class="bg-white p-4 mb-3">
                
                <div class="border rounded mb-4">
                    <button mat-stroked-button color="primary" class="d-block w-100 border-0 text-left d-flex align-items-center" type="button" data-toggle="collapse" data-target="#thongtin-1" aria-expanded="true" aria-controls="thongtin-1">
                        <i class="fas fa-angle-down mr-4"></i>
                        <small class="mr-4">1/5</small>
                        <strong>Thông tin người yêu cầu bảo hiểm</strong>
                    </button>
                    
                    <div class="collapse show px-5 pt-4" id="thongtin-1" style="border-bottom-right-radius: .25rem; border-bottom-left-radius: .25rem;">
                        <div class="row justify-content-between">
                            
                            <div class="col-6">
                                
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Loại khách hàng</mat-label>
                                    <mat-select>
                                        <mat-option value="Cá nhân">
                                            Cá nhân
                                        </mat-option>
                                        <mat-option value="Doanh nghiệp">
                                            Doanh nghiệp
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Mục đích vay</mat-label>
                                    <mat-select>
                                        <mat-option value="Tiêu dùng - Mua sắm">
                                            Tiêu dùng - Mua sắm
                                        </mat-option>
                                        <mat-option value="Thanh toán phí bảo hiểm">
                                            Thanh toán phí bảo hiểm
                                        </mat-option>
                                        <mat-option value="...">
                                            ...
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="w-100 mb-3">
                                    <mat-label>Tổng tiền giải ngân</mat-label>
                                    <input matInput>
                                    <span matSuffix>VND</span>
                                    <mat-hint>khoản vay chính</mat-hint>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Cách nộp phí</mat-label>
                                    <mat-select>
                                        <mat-option value="Tiền mặt - Tại ngân hàng">
                                            Tiền mặt - Tại ngân hàng
                                        </mat-option>
                                        <mat-option value="Tiền mặt - Tại điểm thu hộ">
                                            Tiền mặt - Tại điểm thu hộ
                                        </mat-option>
                                        <mat-option value="Chuyển khoản internet banking">
                                            Chuyển khoản internet banking
                                        </mat-option>
                                        <mat-option value="Ví điện tử">
                                            Ví điện tử
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                            
                            <div class="col-6">
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Mã số Khách hàng</mat-label>
                                    <input matInput>
                                    <mat-hint>CIF</mat-hint>
                                </mat-form-field>
                            </div>
                            
                        </div>
                    </div>
                </div>
                
                <div class="border rounded mb-4">
                    <button mat-stroked-button color="primary" class="d-block w-100 border-0 text-left d-flex align-items-center" type="button" data-toggle="collapse" data-target="#thongtin-2" aria-expanded="true" aria-controls="thongtin-2">
                        <i class="fas fa-angle-down mr-4"></i>
                        <small class="mr-4">2/5</small>
                        <strong>Người được bảo hiểm</strong>
                    </button>
                    
                    <div class="collapse show px-5 pt-4" id="thongtin-2" style="border-bottom-right-radius: .25rem; border-bottom-left-radius: .25rem;">
                        <div class="row justify-content-between">
                            
                            <div class="col-6">
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Họ tên người được bảo hiểm</mat-label>
                                    <input matInput>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>CMND</mat-label>
                                    <input matInput>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Điện thoại</mat-label>
                                    <input matInput>
                                </mat-form-field>
                                
                            </div>
                            
                            <div class="col-6">
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Ngày sinh</mat-label>
                                    <input placeholder="ngày/tháng/năm" matInput [matDatepicker]="myDatepicker">
                                    <mat-datepicker-toggle matSuffix [for]="myDatepicker"></mat-datepicker-toggle>
                                    <mat-datepicker #myDatepicker></mat-datepicker>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Giới tính</mat-label>
                                    <mat-select>
                                        <mat-option value="Nữ">
                                            Nữ
                                        </mat-option>
                                        <mat-option value="Nam">
                                            Nam
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Email</mat-label>
                                    <input matInput type="email">
                                </mat-form-field>
                            </div>
                            
                            <div class="col-12 mat-form-inline d-flex">
                                <mat-form-field appearance="outline" class="col p-0">
                                    <mat-label>Địa chỉ</mat-label>
                                    <input matInput placeholder="Số nhà, tên đường, khu vực, ..">
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="col p-0">
                                    <mat-label>Tỉnh/Thành phố</mat-label>
                                    <mat-select>
                                        <mat-option value="hcm">
                                            Hồ Chí Minh
                                        </mat-option>
                                        <mat-option value="...">
                                            ...
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="col p-0">
                                    <mat-label>Huyện/Quận</mat-label>
                                    <mat-select>
                                        <mat-option value="hcm">
                                            Quận 1
                                        </mat-option>
                                        <mat-option value="...">
                                            ...
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                        </div>
                        
                        <hr class="mt-0">
                        
                        <div class="row">
                            <div class="col-12 mb-3">
                                <mat-checkbox color="primary">Khách hàng khoản vay Top up</mat-checkbox>
                            </div>
                        </div>
                        
                    </div>
                </div>
                
                <div class="border rounded mb-4">
                    <button mat-stroked-button color="primary" class="d-block w-100 border-0 text-left d-flex align-items-center" type="button" data-toggle="collapse" data-target="#thongtin-3" aria-expanded="true" aria-controls="thongtin-3">
                        <i class="fas fa-angle-down mr-4"></i>
                        <small class="mr-4">3/5</small>
                        <strong>Yêu cầu bảo hiểm</strong>
                    </button>
                    
                    <div class="collapse show px-5 pt-4" id="thongtin-3" style="border-bottom-right-radius: .25rem; border-bottom-left-radius: .25rem;">
                        <div class="row">
                            <div class="col-6">
                                
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Số Hợp Đồng tín dụng/KV</mat-label>
                                    <input matInput>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Số tiền bảo hiểm</mat-label>
                                    <input matInput>
                                    <span matSuffix>VND</span>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Ngày hiệu lực mong muốn</mat-label>
                                    <input placeholder="ngày/tháng/năm" matInput [matDatepicker]="myDatepicker4">
                                    <mat-datepicker-toggle matSuffix [for]="myDatepicker4"></mat-datepicker-toggle>
                                    <mat-datepicker #myDatepicker4></mat-datepicker>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Số tháng tham gia</mat-label>
                                    <mat-select>
                                        <mat-option value="1">
                                            1 tháng
                                        </mat-option>
                                        <mat-option value="3">
                                            3 tháng
                                        </mat-option>
                                        <mat-option value="6">
                                            6 tháng
                                        </mat-option>
                                        <mat-option value="12">
                                            12 tháng
                                        </mat-option>
                                        <mat-option value="24">
                                            24 tháng
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                                
                            </div>
                            
                            <div class="col-6">
                                <mat-form-field appearance="outline" disabled class="w-100">
                                    <mat-label>Tỉ lệ phí</mat-label>
                                    <input matInput value="10" disabled>
                                    <span matSuffix>%</span>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" disabled class="w-100">
                                    <mat-label>Phí bảo hiểm</mat-label>
                                    <input matInput value="0" disabled>
                                    <span matSuffix>VND</span>
                                    <mat-hint>VAT</mat-hint>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="w-100 disabled" disabled>
                                    <mat-label>Ngày yêu cầu bảo hiểm</mat-label>
                                    <input placeholder="ngày/tháng/năm" [formControl]="date" matInput [matDatepicker]="myDatepicker2" class="disabled" readonly disabled>
                                    <mat-datepicker-toggle matSuffix [for]="myDatepicker2" disabled></mat-datepicker-toggle>
                                    <mat-datepicker #myDatepicker2 disabled></mat-datepicker>
                                </mat-form-field>
                                
                            </div>
                            
                            <div class="col-12 mat-form-inline">
                                <mat-form-field appearance="outline" class="w-50 disabled" disabled>
                                    <mat-label>Bảo hiểm có hiệu lực từ ngày</mat-label>
                                    <input placeholder="ngày/tháng/năm" [formControl]="date" matInput [matDatepicker]="myDatepicker3" class="disabled" readonly disabled>
                                    <mat-datepicker-toggle matSuffix [for]="myDatepicker3" disabled></mat-datepicker-toggle>
                                    <mat-datepicker #myDatepicker3 disabled></mat-datepicker>
                                </mat-form-field>
                                <mat-form-field appearance="outline" class="w-50 disabled" disabled>
                                    <mat-label>đến ngày</mat-label>
                                    <input placeholder="ngày/tháng/năm" [formControl]="serializedDate" matInput [matDatepicker]="myDatepicker5" class="disabled" readonly disabled>
                                    <mat-datepicker-toggle matSuffix [for]="myDatepicker5" disabled></mat-datepicker-toggle>
                                    <mat-datepicker #myDatepicker5 disabled></mat-datepicker>
                                </mat-form-field>
                            </div>
                        </div>
                        
                    </div>
                </div>
                
                <div class="border rounded mb-4">
                    <button mat-stroked-button color="primary" class="d-block w-100 border-0 text-left d-flex align-items-center" type="button" data-toggle="collapse" data-target="#thongtin-4" aria-expanded="true" aria-controls="thongtin-4">
                        <i class="fas fa-angle-down mr-4"></i>
                        <small class="mr-4">4/5</small>
                        <strong>Ngân hàng thụ hưởng</strong>
                    </button>
                    
                    <div class="collapse show px-5 pt-4" id="thongtin-4" style="border-bottom-right-radius: .25rem; border-bottom-left-radius: .25rem;">
                        <div class="row">
                            <div class="col-6">
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Tên chi nhánh</mat-label>
                                    <input matInput>
                                </mat-form-field>
                            </div>
                            
                            <div class="col-6">
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Địa chỉ chi nhánh</mat-label>
                                    <input matInput placeholder="Nhập đầy đủ địa chỉ">
                                </mat-form-field>
                            </div>
                            
                            <div class="col-12 small text-warn font-weight-bold mb-4">
                                Nhập Tên CN/PGD Thụ hưởng (CN/PGD ký đóng dấu giấy Chuyển quyền Thụ Hưởng)
                            </div>
                        </div>
                        
                    </div>
                </div>
                
                <div class="border rounded mb-4">
                    <button mat-stroked-button color="primary" class="d-block w-100 border-0 text-left d-flex align-items-center" type="button" data-toggle="collapse" data-target="#thongtin-5" aria-expanded="true" aria-controls="thongtin-5">
                        <i class="fas fa-angle-down mr-4"></i>
                        <small class="mr-4">5/5</small>
                        <strong>Thông tin hóa đơn</strong>
                    </button>
                    
                    <div class="collapse show px-5 pt-4" id="thongtin-5" style="border-bottom-right-radius: .25rem; border-bottom-left-radius: .25rem;">
                        <div class="row">
                            <div class="col-12 mb-3">
                                <mat-checkbox color="primary" checked="true" #vatInfo>Thông tin người nhận hóa đơn <strong>giống</strong> với người yêu cầu bảo hiểm</mat-checkbox>
                            </div>
                        </div>
                        <div class="row" *ngIf="!vatInfo.checked">
                            
                            <div class="col-6">
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Họ tên người nhận hóa đơn</mat-label>
                                    <input matInput>
                                </mat-form-field>
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Mã số thuế</mat-label>
                                    <input matInput>
                                </mat-form-field>
                            </div>
                            <div class="col-6">  
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>CMND</mat-label>
                                    <input matInput>
                                </mat-form-field>  
                                <mat-form-field appearance="outline" class="w-100">
                                    <mat-label>Điện thoại</mat-label>
                                    <input matInput>
                                </mat-form-field>
                            </div> 
                            
                            <div class="col-12 mat-form-inline d-flex">
                                <mat-form-field appearance="outline" class="col p-0">
                                    <mat-label>Địa chỉ nhận hóa đơn</mat-label>
                                    <input matInput placeholder="Số nhà, tên đường, khu vực, ..">
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="col p-0">
                                    <mat-label>Tỉnh/Thành phố</mat-label>
                                    <mat-select>
                                        <mat-option value="hcm">
                                            Hồ Chí Minh
                                        </mat-option>
                                        <mat-option value="...">
                                            ...
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                                
                                <mat-form-field appearance="outline" class="col p-0">
                                    <mat-label>Huyện/Quận</mat-label>
                                    <mat-select>
                                        <mat-option value="hcm">
                                            Quận 1
                                        </mat-option>
                                        <mat-option value="...">
                                            ...
                                        </mat-option>
                                    </mat-select>
                                </mat-form-field>
                            </div>
                        </div>
                        
                    </div>
                </div>
                
            </form>
        </div>
    </div>
</div>